From 642a2abf05dd0cbd7788e30d1d0c505af94ef043 Mon Sep 17 00:00:00 2001
From: LibreMiami <packaging-guix@libremiami.org>
Date: Sat, 6 Mar 2021 01:04:32 +0000
Subject: [PATCH 1/5] gnu: mumble: Indent package definition.

* gnu/packages/telephony.scm (mumble): Indent package definition.
---
 gnu/packages/telephony.scm | 203 +++++++++++++++++++------------------
 1 file changed, 102 insertions(+), 101 deletions(-)

diff --git a/gnu/packages/telephony.scm b/gnu/packages/telephony.scm
index 53cc127e48..e5dee3457d 100644
--- a/gnu/packages/telephony.scm
+++ b/gnu/packages/telephony.scm
@@ -19,6 +19,7 @@
 ;;; Copyright © 2020 Raghav Gururajan <raghavgururajan@disroot.org>
 ;;; Copyright © 2020 Maxim Cournoyer <maxim.cournoyer@gmail.com>
 ;;; Copyright © 2020 Vincent Legoll <vincent.legoll@gmail.com>
+;;; Copyright © 2021 LibreMiami <packaging-guix@libremiami.org>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -531,121 +532,121 @@ address of one of the participants.")
                   ;; Remove bundled software.  Keep arc4random, celt-0.7.0,
                   ;; celt-0.11.0, qqbonjour, rnnoise, smallft.
                   (for-each
-                    delete-file-recursively
-                    '("3rdparty/GL" ; in mesa
-                      "3rdparty/mach-override-build" ; for macx
-                      "3rdparty/mach-override-src"
-                      "3rdparty/minhook-build" ; for win32
-                      "3rdparty/minhook-src"
-                      "3rdparty/opus-build" ; in opus
-                      "3rdparty/opus-src"
-                      "3rdparty/speex-build" ; in speex
-                      "3rdparty/speex-src"
-                      "3rdparty/speexdsp-src" ; in speexdsp
-                      "3rdparty/xinputcheck-build" ; for win32
-                      "3rdparty/xinputcheck-src"))
+                   delete-file-recursively
+                   '("3rdparty/GL"                   ; in mesa
+                     "3rdparty/mach-override-build"  ; for macx
+                     "3rdparty/mach-override-src"
+                     "3rdparty/minhook-build" ; for win32
+                     "3rdparty/minhook-src"
+                     "3rdparty/opus-build" ; in opus
+                     "3rdparty/opus-src"
+                     "3rdparty/speex-build" ; in speex
+                     "3rdparty/speex-src"
+                     "3rdparty/speexdsp-src"       ; in speexdsp
+                     "3rdparty/xinputcheck-build"  ; for win32
+                     "3rdparty/xinputcheck-src"))
                   #t))))
     (build-system qt-build-system)
     (arguments
-     `(#:tests? #f  ; no "check" target
-       #:phases
-       (modify-phases %standard-phases
-         (replace 'configure
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (invoke "qmake" "main.pro" "QMAKE_LRELEASE=lrelease"
-                     (string-append "MUMBLE_PYTHON="
-                                    (string-append (assoc-ref inputs "python")
-                                                   "/bin/python3"))
-                     (string-append "CONFIG+="
-                                    (string-join
-                                     ;; Options used are listed in the same order
-                                     ;; as in the "INSTALL" file
-                                     ;; (plus the final "packaged" and "release").
-                                     (list "no-bundled-speex" ; in speex
-                                           "no-bundled-opus" ; in opus
-                                           "no-g15" ; not packaged
-                                           "no-jackaudio" ; use pulse
-                                           "no-oss" ; use pulse
-                                           "no-alsa" ; use pulse
-                                           "no-update"
-                                           "no-embed-qt-translations"
-                                           "no-ice" ; not packaged
-                                           "packaged"
-                                           "release")))
-                     (string-append "DEFINES+="
-                                    "PLUGIN_PATH="
-                                    (assoc-ref outputs "out")
-                                    "/lib/mumble"))))
-         (add-before 'configure 'fix-libspeechd-include
-           (lambda _
-             (substitute* "src/mumble/TextToSpeech_unix.cpp"
-               (("libspeechd.h") "speech-dispatcher/libspeechd.h"))
-             #t))
-         ;; disable statistic gathering by default. see <https://bugs.gnu.org/25201>
-         (add-before 'configure 'fix-statistic-gathering-default
-           (lambda _
-             (substitute* "src/mumble/Settings.cpp"
-               (("bUsage = true;") "bUsage = false;"))
-             #t))
-         (add-before 'configure 'fix-mumble-overlay
-           (lambda* (#:key outputs #:allow-other-keys)
-              (with-output-to-file "scripts/mumble-overlay"
-                (lambda ()
-                  (format #t "#!~a~%" (which "bash"))
-                  (format #t "export LD_PRELOAD=\"~a $LD_PRELOAD\"~%"
-                          (string-append (assoc-ref outputs "out")
-                                         "/lib/mumble/libmumble.so.1"))
-                  (format #t "exec \"${@}\"")))
-              #t))
-         (add-before 'install 'disable-murmur-ice
-           (lambda _
-             (substitute* "scripts/murmur.ini.system"
-               (("^ice=") ";ice="))
-             #t))
-         (replace 'install ; install phase does not exist
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let* ((out (assoc-ref outputs "out"))
-                    (etc (string-append out "/etc/murmur"))
-                    (dbus (string-append out "/etc/dbus-1/system.d/"))
-                    (bin (string-append out "/bin"))
-                    (services (string-append out "/share/services"))
-                    (applications (string-append out "/share/applications"))
-                    (icons (string-append out "/share/icons/hicolor/scalable/apps"))
-                    (man (string-append out "/share/man/man1"))
-                    (lib (string-append out "/lib/mumble")))
-               (install-file "release/mumble" bin)
-               (install-file "scripts/mumble-overlay" bin)
-               (install-file "scripts/mumble.protocol" services)
-               (install-file "scripts/mumble.desktop" applications)
-               (install-file "icons/mumble.svg" icons)
-               (install-file "man/mumble-overlay.1" man)
-               (install-file "man/mumble.1" man)
-               (install-file "release/murmurd" bin)
-               (install-file "scripts/murmur.ini.system" etc)
-               (rename-file (string-append etc "/murmur.ini.system")
-                            (string-append etc "/murmur.ini"))
-               (install-file "scripts/murmur.conf" dbus)
-               (install-file "man/murmurd.1" man)
-               (for-each (lambda (file) (install-file file lib))
-                         (find-files "." "\\.so\\."))
-               (for-each (lambda (file) (install-file file lib))
-                         (find-files "release/plugins" "\\.so$"))
-               #t))))))
+     `(#:tests? #f                      ; no "check" target
+                #:phases
+                (modify-phases %standard-phases
+                  (replace 'configure
+                    (lambda* (#:key inputs outputs #:allow-other-keys)
+                      (invoke "qmake" "main.pro" "QMAKE_LRELEASE=lrelease"
+                              (string-append "MUMBLE_PYTHON="
+                                             (string-append (assoc-ref inputs "python")
+                                                            "/bin/python3"))
+                              (string-append "CONFIG+="
+                                             (string-join
+                                              ;; Options used are listed in the same order
+                                              ;; as in the "INSTALL" file
+                                              ;; (plus the final "packaged" and "release").
+                                              (list "no-bundled-speex" ; in speex
+                                                    "no-bundled-opus" ; in opus
+                                                    "no-g15" ; not packaged
+                                                    "no-jackaudio" ; use pulse
+                                                    "no-oss" ; use pulse
+                                                    "no-alsa" ; use pulse
+                                                    "no-update"
+                                                    "no-embed-qt-translations"
+                                                    "no-ice" ; not packaged
+                                                    "packaged"
+                                                    "release")))
+                              (string-append "DEFINES+="
+                                             "PLUGIN_PATH="
+                                             (assoc-ref outputs "out")
+                                             "/lib/mumble"))))
+                  (add-before 'configure 'fix-libspeechd-include
+                    (lambda _
+                      (substitute* "src/mumble/TextToSpeech_unix.cpp"
+                        (("libspeechd.h") "speech-dispatcher/libspeechd.h"))
+                      #t))
+                  ;; disable statistic gathering by default. see <https://bugs.gnu.org/25201>
+                  (add-before 'configure 'fix-statistic-gathering-default
+                    (lambda _
+                      (substitute* "src/mumble/Settings.cpp"
+                        (("bUsage = true;") "bUsage = false;"))
+                      #t))
+                  (add-before 'configure 'fix-mumble-overlay
+                    (lambda* (#:key outputs #:allow-other-keys)
+                      (with-output-to-file "scripts/mumble-overlay"
+                        (lambda ()
+                          (format #t "#!~a~%" (which "bash"))
+                          (format #t "export LD_PRELOAD=\"~a $LD_PRELOAD\"~%"
+                                  (string-append (assoc-ref outputs "out")
+                                                 "/lib/mumble/libmumble.so.1"))
+                          (format #t "exec \"${@}\"")))
+                      #t))
+                  (add-before 'install 'disable-murmur-ice
+                    (lambda _
+                      (substitute* "scripts/murmur.ini.system"
+                        (("^ice=") ";ice="))
+                      #t))
+                  (replace 'install     ; install phase does not exist
+                    (lambda* (#:key inputs outputs #:allow-other-keys)
+                      (let* ((out (assoc-ref outputs "out"))
+                             (etc (string-append out "/etc/murmur"))
+                             (dbus (string-append out "/etc/dbus-1/system.d/"))
+                             (bin (string-append out "/bin"))
+                             (services (string-append out "/share/services"))
+                             (applications (string-append out "/share/applications"))
+                             (icons (string-append out "/share/icons/hicolor/scalable/apps"))
+                             (man (string-append out "/share/man/man1"))
+                             (lib (string-append out "/lib/mumble")))
+                        (install-file "release/mumble" bin)
+                        (install-file "scripts/mumble-overlay" bin)
+                        (install-file "scripts/mumble.protocol" services)
+                        (install-file "scripts/mumble.desktop" applications)
+                        (install-file "icons/mumble.svg" icons)
+                        (install-file "man/mumble-overlay.1" man)
+                        (install-file "man/mumble.1" man)
+                        (install-file "release/murmurd" bin)
+                        (install-file "scripts/murmur.ini.system" etc)
+                        (rename-file (string-append etc "/murmur.ini.system")
+                                     (string-append etc "/murmur.ini"))
+                        (install-file "scripts/murmur.conf" dbus)
+                        (install-file "man/murmurd.1" man)
+                        (for-each (lambda (file) (install-file file lib))
+                                  (find-files "." "\\.so\\."))
+                        (for-each (lambda (file) (install-file file lib))
+                                  (find-files "release/plugins" "\\.so$"))
+                        #t))))))
     (inputs
      `(("avahi" ,avahi)
        ("boost" ,boost)
        ("libsndfile" ,libsndfile)
        ("libxi" ,libxi)
-       ("mesa" ,mesa) ; avoid bundled
+       ("mesa" ,mesa)                   ; avoid bundled
        ("openssl" ,openssl)
-       ("opus" ,opus) ; avoid bundled
+       ("opus" ,opus)                   ; avoid bundled
        ("protobuf" ,protobuf)
        ("pulseaudio" ,pulseaudio)
        ("qtbase" ,qtbase)
        ("qtsvg" ,qtsvg)
        ("speech-dispatcher" ,speech-dispatcher)
-       ("speex" ,speex) ; avoid bundled
-       ("speexdsp" ,speexdsp))) ; avoid bundled
+       ("speex" ,speex)                 ; avoid bundled
+       ("speexdsp" ,speexdsp)))         ; avoid bundled
     (native-inputs
      `(("pkg-config" ,pkg-config)
        ("python" ,python)
-- 
2.20.1

